<?php
/**
 * ControlSpecialVersion - Control what information is shown in Special:Version page
 *
 * For more info see http://mediawiki.org/wiki/Extension:ControlSpecialVersion
 *
 * @file
 * @ingroup Extensions
 * @author Greg Sabino Mullane
 * @version 1.3
 * @license MIT
 */

$wgExtensionCredits['other'][] = array(
    'path' => __FILE__,
    'name' => 'ControlSpecialVersion',
    'author' => 'Greg Sabino Mullane',
    'version'  => '1.3',
    'url' => 'https://www.mediawiki.org/wiki/Extension:ControlSpecialVersion',
    'descriptionmsg' => 'controlspecialversion-desc',
    'license-name' => 'BSD'
);

$dir = dirname( __FILE__ );
$dirbasename = basename( $dir );

$wgAutoloadClasses['ControlSpecialVersionHooks'] = $dir . '/ControlSpecialVersion.hooks.php';

$wgMessagesDirs['ControlSpecialVersion'] = $dir . '/i18n';
$wgExtensionMessagesFiles['ControlSpecialVersionAlias'] = $dir . '/ControlSpecialVersion.i18n.alias.php';
$wgExtensionMessagesFiles['ControlSpecialVersionMagic'] = $dir . '/ControlSpecialVersion.i18n.magic.php';

$wgHooks['SoftwareInfo'][] = 'ControlSpecialVersionHooks::onSoftwareInfo';
$wgHooks['ExtensionTypes'][] = 'ControlSpecialVersionHooks::onExtensionTypes';

// The configuration items below should be changed in your LocalSettings.php, not here!
// Add them directly below the require_once line for this extension


// Show the version of MediaWiki being used. Defaults to true
$wgControlSpecialVersion_mediawiki_show = true;

// Show the revision information for MediaWiki. Defaults to true.
// If false, the only thing shown in the MediaWiki version number
$wgControlSpecialVersion_mediawiki_show_rcs = true;

// Show the version of PHP being used. Defaults to false
$wgControlSpecialVersion_php_show = false;

// Rename PostgreSQL to Postgres. Defaults to true
$wgControlSpecialVersion_postgres_rename = true;

// Show the major version of Postgres, not the revision. Defaults to true
$wgControlSpecialVersion_postgres_norevision = true;

// Show the version number of all extensions. Defaults to true
$wgControlSpecialVersion_extension_show_versions = true;

// List of extensions that should be completely hidden
$wgControlSpecialVersion_extensions_hidden = array();

// Show the vcs (version control system) information for extensions. Defaults to true
$wgControlSpecialVersion_extensions_show_vcs = false;
